Skip to main content
GET
List audit logs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string<date-time>

Inclusive ISO-8601 lower bound on occurredAt. Must not be after to.

Example:

"2026-05-10T12:00:00Z"

to
string<date-time>

Exclusive ISO-8601 upper bound on occurredAt. Must not be before from.

Example:

"2026-05-11T12:00:00Z"

type
string

Filter results by event type.

Example:

"user.signed_in"

actorId
string

Filter results by actor ID.

Example:

"0189a4f2-1c3b-7c8e-9d2a-2f6b1e4c8a10"

outcome
enum<string>

Filter results by outcome.

Available options:
SUCCESS,
FAILURE,
PENDING
Example:

"SUCCESS"

pageBefore
string

Opaque pagination cursor for the previous (newer) page. Read from the rel="prev" link in a previous response's Link header. Must not be combined with pageAfter.

pageAfter
string

Opaque pagination cursor for the next (older) page. Read from the rel="next" link in a previous response's Link header. Must not be combined with pageBefore. Omit to fetch the first (most recent) page.

pageSize
integer
default:100

Maximum number of audit logs to return. Must be between 1 and 1000; defaults to 100 when omitted.

Required range: 1 <= x <= 1000
Example:

100

Response

Successfully retrieved a list of audit logs.

data
object[]
required